package com.vctgo.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.vctgo.system.domain.SysProvince;

import java.util.List;

/**
 * 省份信息Service接口
 *
 * @author wanglonghua
 * @date 2023-06-08
 */
public interface ISysProvinceService extends IService<SysProvince>
{
    /**
     * 查询省份信息
     *
     * @param id 省份信息主键
     * @return 省份信息
     */
    SysProvince selectSysProvinceById(Long id);

    /**
     * 查询省份信息列表
     *
     * @param sysProvince 省份信息
     * @return 省份信息集合
     */
    List<SysProvince> selectSysProvinceList(SysProvince sysProvince);

    /**
     * 查询省份信息列表
     *
     * @return 省份信息集合
     */
    List<SysProvince> selectProvinceListRelationChild(String provinceId, String cityId);

    List<SysProvince> getProvince();
}
